.MessengerIconCls {
    background-image: url(../../images/../Messenger/res/talk-balloons.png) !important;
}

.filetransfer-icon-title {
    background: url(../../images/../Messenger/res/page_go.png);
}

#messenger button {
    color: #000000;
    cursor: pointer;
    font-weight: bold;
    margin-left: 5px;
}

#messenger:hover {
    text-decoration: underline;
}

.messenger-icon {
    background-image: url(../../images/../Messenger/res/talk-balloons.png);
    background-repeat: no-repeat;
    padding-left: 12px;
}
.messenger-icon-off {
    background-image: url(../../images/../Messenger/res/talk-balloons-off.png);
    background-repeat: no-repeat;
    padding-left: 12px;
}

.chat-message {
/*    font-size: 1.2em;
    padding: 4px;
    border-bottom: 1px solid #bebebe;*/
}

.chat-message .x-panel-body {
    border: 0;
}

.text-sender {
    font-size: 100%;
/*    font-weight: bold;*/
    width: 100%;
    height: 20px;
}

.messenger-receive {
    color: blue;
}

.messenger-receive strong {
    color: #0000a8;
    font-weight: bold;
}

.messenger-send {
    color: red;
}

.messenger-send strong {
    color: #a80000;
    font-weight: bold;
}

.messenger-notify {
    color: green;
    font-weight: bold;
}
.messenger-treeview .x-panel-body {
    min-width: 180px;
}

.messenger-contact,
.messenger-group,
.messenger-groupchat{
    font-size: 12px;
    margin-bottom: 5px;
    background-repeat: no-repeat;
    background-position: 15px 0;
    font-weight: bold;
}

.messenger-contact.unavailable {
    background-image: url(../../images/../Messenger/res/icon_unavailable.png);
    font-weight: 400;
}

.messenger-contact.unavailable span[unselectable] {
    color: #B3B3B3;
}

.messenger-contact.available {
    background-image: url(../../images/../Messenger/res/icon_available.png);
}

.messenger-contact.away {
    background-image: url(../../images/../Messenger/res/icon_away.png);
}

.messenger-contact.xa {
    background-image: url(../../images/../Messenger/res/icon_xa.png);
}

.messenger-contact.available span[unselectable],
.messenger-contact.away span[unselectable] {
    color: black;
}

.messenger-contact.donotdisturb {
    background-image: url(../../images/../Messenger/res/icon_dnd.png);
}

.messenger-contact.donotdisturb span[unselectable] {
    color: red;
}

.messenger-contact.subscribe {
    background-image: url(../../images/../Messenger/res/icon_subscribe.png);
}
.messenger-contact.subscribe span[unselectable] {
    color: #B3B3B3;
    font-weight: 400;

}
.messenger-contact.none {
    background-image: url(../../images/../Messenger/res/icon_none.png);
}
.messenger-contact.none span[unselectable] {
    color: #B3B3B3;
    font-weight: 400;

}
.messenger-contact.from {
    background-image: url(../../images/../Messenger/res/change_status.png);
}
.messenger-contact.from span[unselectable] {
    color: #B3B3B3;
    font-weight: 400;
}
.messenger-contact.unsubscribed {
    background-image: url(../../images/../Messenger/res/icon_cancel.png);
}

.messenger-contact.unsubscribed span[unselectable] {
    color: #B3B3B3;
}

.messenger-contact.waiting {
    background-image: url(../../images/../Messenger/res/icon_question.png);
}

.messenger-contact.waiting span[unselectable] {
    color: #B3B3B3;
}

.messenger-group {
    background-image: url(../../images/../Messenger/res/group.png);
}

.messenger-client-tbar {
    background: transparent;
    border-color: #bebebe;
}

.messenger-group img.x-tree-node-icon {
    background-image: none;
}

.x-tree-lines .messenger-contact .x-tree-elbow {
    background-image: none !important;
    width: 0 !important;
}

.x-tree-lines .messenger-contact .x-tree-elbow-end {
    background-image: none !important;
    width: 0 !important;
}

.messenger-contact .x-tree-node-icon {
    background-image: none !important;
}

#messenger-loghandler-status .msg {
    width: 95%;
    min-height: 25px;
    background-color: #444;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    opacity: 0.9;
    float: left;
    font: 1.1em;
    color: #fff;
    margin-top: 5px;
    padding: 6px 10px;
    overflow: hidden;
    white-space: pre-line;
}
#messenger-loghandler-status .msg .title {
    font-size: 120%;
    font-weight: bold;
    display: block;
}
#messenger-loghandler-status .msg .body {
    display: block;
}
#messenger-loghandler-status {
    width: 250px;
    min-height: 10px;
    position: fixed;
    right: 20px;
    bottom: auto;
    top: 30px;
    z-index: 9999;
/*    display: none;*/
/*    border:solid red 1px;*/
}
#messenger-loghandler-status .msg:hover {
    visibility: hidden;
}

/* PRESENCE */
/*.messenger-presence-offline {
    background-image: url(/images/icon-offline.gif);
    background-repeat: no-repeat;
    padding-left: 12px;
}

.messenger-presence-away {
    background-image: url(/images/icon-offline.gif);
    background-repeat: no-repeat;
    padding-left: 12px;
}

.messenger-presence-online {
    background-image: url(/images/icon-presence.gif);
    background-repeat: no-repeat;
    padding-left: 12px;
}*/

#credential {
    font-size: 100%;
    width: 145px;
    height: 35px;
    display: block;
    float: left;
    overflow: hidden;
}

#credential img {
    width: 40px;
    height: 99%;
    float: left;
}

#credential .name {
    max-width: 100px;
    font-size: 100%;
    font-weight: bold;
    float: left;
    white-space: pre-line;
    margin: 3px 0 5px 5px;
}
.messenger-connect-display img{
    position: absolute;
    top: 115px;
    left: 70px;
}
.messenger-connect-cmd {
    position: absolute;
    top: 140px;
    left: 68px;
}

.chat-message-balloon .chat-user {
    width: 50px;
    padding: 8px 3px 3px 3px;
    text-align: center;
    font-size: 100%;
    font-weight: bold;
    float: left;
    word-break: break-all;
    overflow: hidden;
}

.chat-message-balloon .chat-user-msg {
    font-size: 110%;
    float: left;
    padding: 7px 15px;
/*    border: solid 1px #EFEFEF;*/
/*    word-break: break-all; */
/*    white-space: nowrap;*/
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
}
.chat-user-timestamp {
    font-size: 90%;
    color: #777;
}
.chat-user-balloon {
    padding-left: 14px;
    float: left;
    max-width: 70%;
    background-repeat: no-repeat;
    background-position: 0 6px;
    margin-top: 6px;
    background-image: url("../../images/../Messenger/res/balloon-pointer.png");
}

.color-1 .chat-user-msg { background-color: #8fb1e8 }
.color-1 .chat-user, .color-1 .x-tree-node-anchor span { color: #8fb1e8!important}
.color-1 .chat-user-balloon { background-position: 0 6px }

.color-2 .chat-user-msg { background-color: #98d96c }
.color-2 .chat-user, .color-2 .x-tree-node-anchor span  { color: #98d96c!important}
.color-2 .chat-user-balloon { background-position: -15px 6px }

.color-3 .chat-user-msg { background-color: #fff }
.color-3 .chat-user, .color-3 .x-tree-node-anchor span  { color: #fff!important}
.color-3 .chat-user-balloon { background-position: -30px 6px }

.color-4 .chat-user-msg { background-color: #ffb380 }
.color-4 .chat-user, .color-4 .x-tree-node-anchor span  { color: #ffb380!important}
.color-4 .chat-user-balloon { background-position: -45px 6px }

.color-5 .chat-user-msg { background-color: #ffe680 }
.color-5 .chat-user, .color-5 .x-tree-node-anchor span  { color: #ffe680!important}
.color-5 .chat-user-balloon { background-position: -60px 6px }

.color-6 .chat-user-msg { background-color: #ff8080 }
.color-6 .chat-user, .color-6 .x-tree-node-anchor span  { color: #ff8080!important}
.color-6 .chat-user-balloon { background-position: -75px 6px }

.color-7 .chat-user-msg { background-color: #ac9393 }
.color-7 .chat-user, .color-7 .x-tree-node-anchor span  { color: #ac9393!important}
.color-7 .chat-user-balloon { background-position: -90px 0 }

.messenger-chat-window {
    padding: 3px
}

.messenger-chat-body .x-panel-body {
    border:none;
    overflow-x: hidden!important;
}

.messenger-chat-notifications .chat-notification {
    background-color: #000000;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    color: #777;
    font-family: Verdana, sans-serif;
    font-weight: bold;
    opacity: 0.8 !important;
    padding: 5px 15px 3px;
}
.messenger-chat-notifications {
    position: absolute;
    left: 50% !important;
    height: 30px;
    min-width: 200px;
    max-width: 400px;
    width: 40%;
}

.messenger-groupchat {
    background-image: url('../../images/../Messenger/res/icon_chat.png')
}

.messenger-groupchat-roster {
    position: fixed;
    margin-top: 20px;
}

.messenger-groupchat-roster-tree {
    width: 100%;
}

.chat-message-notify {
    padding: 2px 4px;
}
.chat-message-notify .chat-user-msg {
    padding: 0 5px;
    font-size: 100%;
    font-weight: bold;
    color: #333;
 }
 
#ClientDialog .x-panel-body,
.messenger-chat-body .x-panel-body
{background-color: transparent!important}

.emoticon-button {
    margin: 5px 0 0 5px;
}

p.file_transfer_progress {
    padding: 10px;
}

p.file_transfer_progress span {
    display: block;
    font-weight: bold;
    padding: 5px 0 0 20px;
}

.history-list-button {
    cursor: pointer;
    font-weight: bold;
    padding: 5px;
    text-align: center;
}

.history-list-button-chosen {
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
}

.history-list-button:hover {
    opacity: 0.6;
}

#history-loading {
    padding: 10px;
    text-align: center;
}

.messenger-history-display {
    border-bottom: 1px grey dashed;
    padding: 5px;
}

.chat-user-msg strong, .chat-user-msg strong * {
    font-weight: bold;
}

.chat-user-msg em, .chat-user-msg em * {
    font-style: italic;
}

.chat-message-state .chat-notification {
    color: #aaa;
    padding-left: 10px;
}

.x-tab-scroller-right-over {
    background-position: -18px 0;
}

.x-tab-tabmenu-right {
    background: transparent url('../../images/../Messenger/res/tab-scroller-menu.gif') no-repeat 0 0;
    border-bottom: 1px solid #8db2e3;
    width:18px;
    position:absolute;
    right:0;
    top:0;
    z-index:10;
    cursor:pointer;
}
.x-tab-tabmenu-over {
    background-position: -18px 0;
}
.x-tab-tabmenu-disabled {
    background-position: 0 0;
    opacity:.5;
    -moz-opacity:.5;
    filter:alpha(opacity=50);
    cursor:default;
}